Name:           perl-TAP-SimpleOutput
Version:        0.009
Release:        2%{?dist}
Summary:        Simple closure-driven TAP generator
License:        LGPLv2+
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/TAP-SimpleOutput/
Source0:        http://www.cpan.org/authors/id/R/RS/RSRCHBOY/TAP-SimpleOutput-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 0:5.008
BuildRequires:  perl(blib) >= 1.01
BuildRequires:  perl(Carp)
BuildRequires:  perl(Class::Load)
BuildRequires:  perl(ExtUtils::MakeMaker)
BuildRequires:  perl(File::Spec)
BuildRequires:  perl(IO::Handle)
BuildRequires:  perl(IPC::Open3)
BuildRequires:  perl(Perl::Version)
BuildRequires:  perl(strict)
BuildRequires:  perl(Sub::Exporter::Progressive)
BuildRequires:  perl(Test::CheckDeps) >= 0.010
BuildRequires:  perl(Test::More) >= 0.94
BuildRequires:  perl(utf8)
BuildRequires:  perl(warnings)
Requires:       perl(Carp)
Requires:       perl(Class::Load)
Requires:       perl(Perl::Version)
Requires:       perl(strict)
Requires:       perl(Sub::Exporter::Progressive)
Requires:       perl(warnings)
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

%description
We provide one function, counters(), that returns a number of simple
closures designed to help output TAP easily and correctly, with a
minimum of fuss.

%prep
%setup -q -n TAP-SimpleOutput-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT

make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT

find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} \;
find $RPM_BUILD_ROOT -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc Changes cpanfile dist.ini LICENSE META.json README
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.009-2
- new package built with tito

* Fri Feb 11 2022 Daniel Berteaud <dbd@ehtrace.com> 0.009-1
- Specfile autogenerated by cpanspec 1.78.
